INSERT INTO BuildingClasses 	
	(Type,								DefaultBuilding,			Description)
VALUES
	('BUILDINGCLASS_STEAM_PLANT',		'BUILDING_STEAM_PLANT',		'TXT_KEY_BUILDING_STEAM_PLANT'),
	('BUILDINGCLASS_ISTEAM_PLANT',		'BUILDING_ISTEAM_PLANT',	'TXT_KEY_BUILDING_ISTEAM_PLANT'),
	('BUILDINGCLASS_RACETRACK',			'BUILDING_RACETRACK',		'TXT_KEY_BUILDING_RACETRACK'),
	('BUILDINGCLASS_SCH_EQUESART',		'BUILDING_SCH_EQUESART',	'TXT_KEY_BUILDING_SCH_EQUESART'),
	('BUILDINGCLASS_ISTEEL_MILL',		'BUILDING_ISTEEL_MILL',		'TXT_KEY_BUILDING_ISTEEL_MILL'),
	('BUILDINGCLASS_SAMMUNITION',		'BUILDING_SAMMUNITION',		'TXT_KEY_BUILDING_SAMMUNITION'),
	('BUILDINGCLASS_S_EXPLOSIVE',		'BUILDING_S_EXPLOSIVE',		'TXT_KEY_BUILDING_S_EXPLOSIVE'),
	('BUILDINGCLASS_ISHIPYARD',			'BUILDING_ISHIPYARD',		'TXT_KEY_BUILDING_ISHIPYARD'),
	('BUILDINGCLASS_MACPARTFAC',		'BUILDING_MACPARTFAC',		'TXT_KEY_BUILDING_MACPARTFAC'),
	('BUILDINGCLASS_IGLASSFAC',			'BUILDING_IGLASSFAC',		'TXT_KEY_BUILDING_IGLASSFAC'),
	('BUILDINGCLASS_IDYEFAC',			'BUILDING_IDYEFAC',			'TXT_KEY_BUILDING_IDYEFAC'),
	('BUILDINGCLASS_IFABRICFAC',		'BUILDING_IFABRICFAC',		'TXT_KEY_BUILDING_IFABRICFAC');	

INSERT INTO Building_BuildingClassLocalYieldChanges
	(BuildingType,				BuildingClassType,				YieldType,					YieldChange)
VALUES
	('BUILDING_IGLASSFAC',		'BUILDINGCLASS_MUSEUM',			'YIELD_CULTURE',			4),
	('BUILDING_IFABRICFAC',		'BUILDINGCLASS_FACTORY',		'YIELD_GOLD',				4),
	('BUILDING_IFABRICFAC',		'BUILDINGCLASS_EE_CLOTH_MILL',	'YIELD_GOLD',				4);

INSERT INTO Buildings 	
	(Type,						BuildingClass,						Description,						Civilopedia,							Strategy,									Help,									Cost,			PrereqTech,				GoldMaintenance,	FaithCost,	NukeImmune, ConquestProb,	ArtDefineTag,					MinAreaSize,  HurryCostModifier,	IconAtlas,			PortraitIndex)
VALUES
	('BUILDING_STEAM_PLANT',	'BUILDINGCLASS_STEAM_PLANT',		'TXT_KEY_BUILDING_STEAM_PLANT',		'TXT_KEY_BUILDING_STEAM_PLANT_PEDIA',	'TXT_KEY_BUILDING_STEAM_PLANT_STRATEGY',	'TXT_KEY_BUILDING_STEAM_PLANT_HELP',	900,		'TECH_STEAM_POWER',			3,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		0),
	('BUILDING_ISTEAM_PLANT',	'BUILDINGCLASS_ISTEAM_PLANT',		'TXT_KEY_BUILDING_ISTEAM_PLANT',	'TXT_KEY_BUILDING_ISTEAM_PLANT_PEDIA',	'TXT_KEY_BUILDING_ISTEAM_PLANT_STRATEGY',	'TXT_KEY_BUILDING_ISTEAM_PLANT_HELP',	1250,		'TECH_STEAM_POWER',			4,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		1),
	('BUILDING_RACETRACK',		'BUILDINGCLASS_RACETRACK',			'TXT_KEY_BUILDING_RACETRACK',		'TXT_KEY_BUILDING_RACETRACK_PEDIA',		'TXT_KEY_BUILDING_RACETRACK_STRATEGY',		'TXT_KEY_BUILDING_RACETRACK_HELP',		1250,		'TECH_FERTILIZER',			5,					-1,         0,          66,            'ART_DEF_BUILDING_GARDEN',		-1,           25,					'AGBUILDING_ATLAS',		5),
	('BUILDING_SCH_EQUESART',	'BUILDINGCLASS_SCH_EQUESART',		'TXT_KEY_BUILDING_SCH_EQUESART',	'TXT_KEY_BUILDING_SCH_EQUESART_PEDIA',	'TXT_KEY_BUILDING_SCH_EQUESART_STRATEGY',	'TXT_KEY_BUILDING_SCH_EQUESART_HELP',	1250,		'TECH_FERTILIZER',			5,					-1,         0,          66,            'ART_DEF_BUILDING_GARDEN',		-1,           25,					'AGBUILDING_ATLAS',		13),
	('BUILDING_ISTEEL_MILL',	'BUILDINGCLASS_ISTEEL_MILL',		'TXT_KEY_BUILDING_ISTEEL_MILL',		'TXT_KEY_BUILDING_ISTEEL_MILL_PEDIA',	'TXT_KEY_BUILDING_ISTEEL_MILL_STRATEGY',	'TXT_KEY_BUILDING_ISTEEL_MILL_HELP',	1250,		'TECH_INDUSTRIALIZATION',	10,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		15),
	('BUILDING_SAMMUNITION',	'BUILDINGCLASS_SAMMUNITION',		'TXT_KEY_BUILDING_SAMMUNITION',		'TXT_KEY_BUILDING_SAMMUNITION_PEDIA',	'TXT_KEY_BUILDING_SAMMUNITION_STRATEGY',	'TXT_KEY_BUILDING_SAMMUNITION_HELP',	1250,		'TECH_RIFLING',				0,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		17),
	('BUILDING_S_EXPLOSIVE',	'BUILDINGCLASS_S_EXPLOSIVE',		'TXT_KEY_BUILDING_S_EXPLOSIVE',		'TXT_KEY_BUILDING_S_EXPLOSIVE_PEDIA',	'TXT_KEY_BUILDING_S_EXPLOSIVE_STRATEGY',	'TXT_KEY_BUILDING_S_EXPLOSIVE_HELP',	1250,		'TECH_DYNAMITE',			4,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		22),
	('BUILDING_ISHIPYARD',		'BUILDINGCLASS_ISHIPYARD',			'TXT_KEY_BUILDING_ISHIPYARD',		'TXT_KEY_BUILDING_ISHIPYARD_PEDIA',		'TXT_KEY_BUILDING_ISHIPYARD_STRATEGY',		'TXT_KEY_BUILDING_ISHIPYARD_HELP',		1250,		'TECH_INDUSTRIALIZATION',	4,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		26),
	('BUILDING_MACPARTFAC',		'BUILDINGCLASS_MACPARTFAC',			'TXT_KEY_BUILDING_MACPARTFAC',		'TXT_KEY_BUILDING_MACPARTFAC_PEDIA',	'TXT_KEY_BUILDING_MACPARTFAC_STRATEGY',		'TXT_KEY_BUILDING_MACPARTFAC_HELP',		1250,		'TECH_INDUSTRIALIZATION',	3,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		28),
	('BUILDING_IGLASSFAC',		'BUILDINGCLASS_IGLASSFAC',			'TXT_KEY_BUILDING_IGLASSFAC',		'TXT_KEY_BUILDING_IGLASSFAC_PEDIA',		'TXT_KEY_BUILDING_IGLASSFAC_STRATEGY',		'TXT_KEY_BUILDING_IGLASSFAC_HELP',		1250,		'TECH_INDUSTRIALIZATION',	3,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		33),
	('BUILDING_IDYEFAC',		'BUILDINGCLASS_IDYEFAC',			'TXT_KEY_BUILDING_IDYEFAC',			'TXT_KEY_BUILDING_IDYEFAC_PEDIA',		'TXT_KEY_BUILDING_IDYEFAC_STRATEGY',		'TXT_KEY_BUILDING_IDYEFAC_HELP',		1250,		'TECH_INDUSTRIALIZATION',	0,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		34),
	('BUILDING_IFABRICFAC',		'BUILDINGCLASS_IFABRICFAC',			'TXT_KEY_BUILDING_IFABRICFAC',		'TXT_KEY_BUILDING_IFABRICFAC_PEDIA',	'TXT_KEY_BUILDING_IFABRICFAC_STRATEGY',		'TXT_KEY_BUILDING_IFABRICFAC_HELP',		1250,		'TECH_INDUSTRIALIZATION',	0,					-1,         0,          66,            'ART_DEF_BUILDING_FACTORY',		-1,           25,					'AGBUILDING_ATLAS',		35);

DELETE FROM Building_ResourceQuantityRequirements
WHERE BuildingType = 'BUILDING_SEAPORT'; 

DELETE FROM Building_ResourceQuantityRequirements
WHERE BuildingType = 'BUILDING_TRAINSTATION'; 

DELETE FROM Building_ResourceQuantityRequirements
WHERE BuildingType = 'BUILDING_FACTORY';

DELETE FROM Building_BuildingClassYieldChanges
WHERE BuildingType = 'BUILDING_FACTORY';

DELETE FROM Building_ResourceQuantity
WHERE BuildingType = 'BUILDING_COAL_PLANT';

DELETE FROM Building_YieldModifiers
WHERE BuildingType = 'BUILDING_TRAINSTATION';

DELETE FROM Building_ImprovementYieldChanges
WHERE BuildingType = 'BUILDING_STOCKYARD';

DELETE FROM Building_YieldChanges
WHERE BuildingType = 'BUILDING_STOCKYARD';


INSERT INTO Building_ResourceQuantity
	(BuildingType, ResourceType, Quantity)
VALUES
	('BUILDING_STEAM_PLANT',		'RESOURCE_ENERGY',		3),
	('BUILDING_ISTEAM_PLANT',		'RESOURCE_ENERGY',		7),
	('BUILDING_COAL_MINES',			'RESOURCE_COAL',		3),
	('BUILDING_COAL_PLANT',			'RESOURCE_COAL',		5),
	('BUILDING_COAL_PLANT',			'RESOURCE_IRON',		5),
	('BUILDING_ISTEEL_MILL',		'RESOURCE_STEEL',		8),
	('BUILDING_SAMMUNITION',		'RESOURCE_AMMUNITION',	4),
	('BUILDING_S_EXPLOSIVE',		'RESOURCE_EXPLOSIVES',	4),
	('BUILDING_ISHIPYARD',			'RESOURCE_STEEL',		10);

INSERT INTO Building_ResourceQuantityRequirements
	(BuildingType,					ResourceType,			Cost)
VALUES
	('BUILDING_MUSEUM',				'RESOURCE_ENERGY',		1),
	('BUILDING_FACTORY',			'RESOURCE_ENERGY',		3),
	('BUILDING_SEAPORT',			'RESOURCE_ENERGY',		1),
	('BUILDING_TRAINSTATION',		'RESOURCE_ENERGY',		1),
	('BUILDING_SCH_EQUESART',		'RESOURCE_HORSE',		3),
	('BUILDING_ISTEEL_MILL',		'RESOURCE_ENERGY',		3),
	('BUILDING_RACETRACK',			'RESOURCE_HORSE',		3),
	('BUILDING_SAMMUNITION',		'RESOURCE_IRON',		1),
	('BUILDING_S_EXPLOSIVE',		'RESOURCE_ENERGY',		2),
	('BUILDING_ISHIPYARD',			'RESOURCE_IRON',		4),
	('BUILDING_MACPARTFAC',			'RESOURCE_STEEL',		2);

INSERT INTO Building_YieldChanges
	(BuildingType,				YieldType,			Yield)
VALUES
	('BUILDING_FACTORY',		'YIELD_FOOD',		-3),
	('BUILDING_COAL_PLANT',		'YIELD_FOOD',		-2),
	('BUILDING_STOCKYARD',		'YIELD_FOOD',		10),
	('BUILDING_RACETRACK',		'YIELD_FOOD',		-2),
	('BUILDING_RACETRACK',		'YIELD_CULTURE',	2),
	('BUILDING_RACETRACK',		'YIELD_TOURISM',	2),
	('BUILDING_SCH_EQUESART',	'YIELD_FOOD',		-2),
	('BUILDING_SCH_EQUESART',	'YIELD_SCIENCE',	4),
	('BUILDING_ISTEEL_MILL',	'YIELD_FOOD',		-2),
	('BUILDING_SAMMUNITION',	'YIELD_FOOD',		-2),
	('BUILDING_SAMMUNITION',	'YIELD_GOLD',		3),
	('BUILDING_S_EXPLOSIVE',	'YIELD_FOOD',		-1),
	('BUILDING_ISHIPYARD',		'YIELD_FOOD',		-2),
	('BUILDING_MACPARTFAC',		'YIELD_FOOD',		-2),
	('BUILDING_MACPARTFAC',		'YIELD_PRODUCTION',	6),
	('BUILDING_IGLASSFAC',		'YIELD_FOOD',		-2),
	('BUILDING_IGLASSFAC',		'YIELD_CULTURE',	4),
	('BUILDING_IDYEFAC',		'YIELD_FOOD',		-2),
	('BUILDING_IDYEFAC',		'YIELD_GOLD',		2),
	('BUILDING_IFABRICFAC',		'YIELD_FOOD',		-2),
	('BUILDING_IFABRICFAC',		'YIELD_GOLD',		4);

INSERT INTO Building_YieldModifiers
	(BuildingType, YieldType, Yield)
VALUES
	('BUILDING_TRAINSTATION',	'YIELD_PRODUCTION', 10),
	('BUILDING_TRAINSTATION',	'YIELD_GOLD',		10);

INSERT INTO Building_ImprovementYieldChanges
	(BuildingType,				ImprovementType,			YieldType,			Yield)
VALUES
	('BUILDING_STOCKYARD',		'IMPROVEMENT_FARM',			'YIELD_GOLD',		2),
	('BUILDING_STOCKYARD',		'IMPROVEMENT_PASTURE',		'YIELD_GOLD',		2);

INSERT INTO Building_UnitCombatFreeExperiences 
	(BuildingType, UnitCombatType, Experience) 
VALUES
	('BUILDING_SAMMUNITION',	'UNITCOMBAT_ARCHER',		5),
	('BUILDING_SAMMUNITION',	'UNITCOMBAT_GUN',			5),
	('BUILDING_S_EXPLOSIVE',	'UNITCOMBAT_SIEGE',			5),
	('BUILDING_ISHIPYARD',		'UNITCOMBAT_NAVALMELEE',	5),
	('BUILDING_ISHIPYARD',		'UNITCOMBAT_NAVALRANGED',	5),
	('BUILDING_ISHIPYARD',		'UNITCOMBAT_SUBMARINE',		5),
	('BUILDING_ISHIPYARD',		'UNITCOMBAT_CARRIER',		5);

INSERT INTO Building_ClassesNeededInCity 
	(BuildingType,					BuildingClassType) 
VALUES
	('BUILDING_ISTEAM_PLANT',		'BUILDINGCLASS_STEAM_PLANT'),
	('BUILDING_IGLASSFAC',			'BUILDINGCLASS_FACTORY'),
	('BUILDING_IDYEFAC',			'BUILDINGCLASS_FACTORY'),
	('BUILDING_IFABRICFAC',			'BUILDINGCLASS_IDYEFAC');

UPDATE Buildings
SET Happiness = '3'
WHERE Type = 'BUILDING_RACETRACK'; 

UPDATE Buildings
SET Happiness = '5'
WHERE Type = 'BUILDING_SCH_EQUESART'; 

UPDATE Language_en_US
SET Text = '+1 [ICON_PRODUCTION] Production for every 4 [ICON_CITIZEN] Citizens in the City. Manufactories worked by the City gain +2 [ICON_PRODUCTION] Production. [NEWLINE][NEWLINE]1 Specialist in this City no longer produces [ICON_HAPPINESS_3] Unhappiness from Urbanization.[NEWLINE][NEWLINE]Requires 3 [ICON_RES_ENERGY] Energy. '
WHERE Tag = 'TXT_KEY_BUILDING_FACTORY_HELP';

UPDATE Language_en_US
SET Text = '+1 [ICON_PRODUCTION] Production and +1 [ICON_GOLD] Gold from all Coast and Ocean Tiles. +2 [ICON_PRODUCTION] Production and [ICON_GOLD] Gold from Sea Resources worked by this City. Increases the Military Unit Supply Cap from Population in the City by 20%.[NEWLINE][NEWLINE]Requires 1 [ICON_RES_ENERGY] Energy. Can only be constructed in a coastal City, and cannot have a [COLOR_NEGATIVE_TEXT]Train Station[ENDCOLOR] in the City.'
WHERE Tag = 'TXT_KEY_BUILDING_SEAPORT_HELP';  

UPDATE Language_en_US
SET Text = 'Internal [ICON_INTERNATIONAL_TRADE] Trade Routes from this City generate +6 [ICON_FOOD] Food. Requires a [ICON_CONNECTED] Connection via Railroad Tiles to the [ICON_CAPITAL] Capital, or to a city connected to the [ICON_CAPITAL] Capital, before it can be constructed.[NEWLINE][NEWLINE]Requires 1 [ICON_RES_ENERGY] Energy. City cannot have a [COLOR_NEGATIVE_TEXT]Seaport[ENDCOLOR] in the City.'
WHERE Tag = 'TXT_KEY_BUILDING_TRAINSTATION_HELP'; 

UPDATE Language_en_US
SET Text = '+2 [ICON_GOLD] Gold from Farms and Pastures worked by the City. 10% of [ICON_FOOD] Food created by the City counts as [ICON_GOLD] Gold Per Turn.[NEWLINE][NEWLINE]Requires 2 [ICON_RES_HORSE] Horses.'
WHERE Tag = 'TXT_KEY_BUILDING_STOCKYARD_HELP'; 









